libzypp 17.37.10

zypp::ProgressReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::ProgressReport:

## Public Member Functions
virtual void | start (const ProgressData &)
virtual bool | progress (const ProgressData &)
virtual void | finish (const ProgressData &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Definition at line 40 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::ProgressReport::start | ( | const ProgressData & |  | ) |
| inline virtual

Definition at line 42 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::ProgressReport::progress | ( | const ProgressData & |  | ) |
| inline virtual

Definition at line 45 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::ProgressReport::finish | ( | const ProgressData & |  | ) |
| inline virtual

Definition at line 54 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h